<template>
  <div>
    <h1>{{pageTitle}}</h1>
  </div>
</template>

<script>
export default {
  props: ['name'],
  computed: {
    pageTitle(){
      return this.$props.name || this.$route.meta.title || "Страница";
    }
  }
};
</script>

<style scoped lang="scss">
div{
  padding: 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 44px;
  border-bottom: 1px solid #0000001a;
  position: sticky;
  top: 0;
  z-index: 9;
  background: #FFFFFF;
}
h1{
  color: #2D9CDB;
  text-transform: capitalize;
}
</style>
